These are chat archives for DrupalRu/chat

23rd
Jan 2018
Alexey
@alexsco74
Jan 23 2018 04:22
Потянулись и зевнули, в мир прекрасный смех вернули, радость счастье и улыбки, свет в душе, на сердце скрипки
bumble
@awd-studio
Jan 23 2018 14:23
суперкруть! Drupal будет требовать ПЫХ версий 7+, начиная с марта
Boris
@bsyomov
Jan 23 2018 14:24
Только 8 к счастью....
bumble
@awd-studio
Jan 23 2018 14:24
^к сожалению :(
Boris
@bsyomov
Jan 23 2018 14:24
И уверяю тебя, это не благо...
bumble
@awd-studio
Jan 23 2018 14:25
не докажешь :)
мне, лично, уже и 7ка - фе
Boris
@bsyomov
Jan 23 2018 14:26
Мне не за чем это доказывать. А вот докажи обратное владельцу сайта, чей сайтик вдруг после обновления превращается в тыкву...
bumble
@awd-studio
Jan 23 2018 14:26
поощряя бексаппортинг - мы скатываемся до уровня ВП
нах владельцев не понимающих важность обновлений!
Boris
@bsyomov
Jan 23 2018 14:27
Обратная мовместимость это необходимость. Инфраструктура не должна меняться каждый месяц.
bumble
@awd-studio
Jan 23 2018 14:28
каждый ли? :)
чо я должен страдать на 5.4, когда он уже не торт совсем
Boris
@bsyomov
Jan 23 2018 14:28
Как бы там не хотели разработчики на всём самом новом работать, эксплуатация важнее разработки.
bumble
@awd-studio
Jan 23 2018 14:28
ядро 7ки - давно держит нормальные версии. "качественный" контриб - то же
так там же не только разработка, еще есть оптимизации разного порядка
Boris
@bsyomov
Jan 23 2018 14:29
Совместимость с новыми версиями важна также, как и обратная совместимость.
Ты сейчас говоришь на самом деле, о двух разных вещах...
bumble
@awd-studio
Jan 23 2018 14:30
начиная от оптимальности написания, заканчивая оптимальностью выполнения. и все это - скорость:
  • быстрее/проще писать == дешевле
  • быстрее выполняться/меньше потреблять ресурсов == дешевле
Boris
@bsyomov
Jan 23 2018 14:30
Ядро 7 и контриб должны поддерживтаь заявленные версии php. Твои кастомные модули на каком-то проекте могу и не поддерживать...
То, что 8 дропает 5.6 ветку вообще довольно плохо тоже.
bumble
@awd-studio
Jan 23 2018 14:31
ИМХО - это должно было произойти как минимум год+ назад
с выходом 7,1
движение - жизнь и дорогу молодым! :)
7+ is better than any 5`s
Boris
@bsyomov
Jan 23 2018 14:33
Это заметно сужает выбор хостингов, на котором можно развернуть сайт на 8.
А то, что самок новое = = самое хорошее, это часто не так.
bumble
@awd-studio
Jan 23 2018 14:33
:point_up: в ту же топку их (хостинги)
Boris
@bsyomov
Jan 23 2018 14:34
Такое ощущение, что ты живёшь в мире розовых пони... =)
bumble
@awd-studio
Jan 23 2018 14:34

А то, что самок новое = = самое хорошее, это часто не так.

в этом случае - это так

:) я хочу жить в таком мире, потому и радуюсь этой новости
то что это приведет к необходимости обновить контрибных динозавров - это тоже считаю очень хорошим знаком. это очередной пересмотр и рефакторинг, что пойдет на пользу. + позволит "воскресить" некоторые давно не обновляемые проекты
Boris
@bsyomov
Jan 23 2018 14:37
Ты хочешь думать только о своём удобстве, на самом деле, и не хочешь думать, как в дальнейшем будет эксплуатироваться то, что ты написал... =)
Безусловно, об этой рутине приятно забыть.
И сайт конечно не должен жить столько, чтобы пережить одну мажорную версию языка - его конечно надо переписать... (сарказм).
bumble
@awd-studio
Jan 23 2018 14:39
що поробиш, таке життя :copyright: :smiley:
иначе бы мы до сих пор в пещерах жили
ннада совершенствоваться и эволюционировать вместе со всем миром, а не противится и держаться за имеющееся
Boris
@bsyomov
Jan 23 2018 14:40
Надо с миром, а не с торопливыми прогерами. =)
bumble
@awd-studio
Jan 23 2018 14:41
эээй... уже 7,3 делают, а мы тут только к 7ке подошли подойдем в марте
кто-кто, а Друпаловцы - не торопятся
инфа - 146%
Boris
@bsyomov
Jan 23 2018 14:41
=)
bumble
@awd-studio
Jan 23 2018 14:42
я, кстати, думаю это для обновлений симы, а не по прихоти Дриса (он бы и на 5,2 сдидел бы)
Boris
@bsyomov
Jan 23 2018 14:43
Ты же понимаешь, что серьёзные приложения использующие новые версии языка появляются через годы после их выпуска, а потом ещё годы работают, и не переписываются под каждую новую версию с нуля?
Так что то, что где-то делают 7.3, мало кого пока касается, кроме тех, кто делает, или думает как делать.
bumble
@awd-studio
Jan 23 2018 14:46
энтерпрайзерам - энтерпрайз. у них там вообще обнова это -10 лет к жизни ПМа
Boris
@bsyomov
Jan 23 2018 14:47
И эта инерция отнюдь не зло, как тебе кажется, это разумная необходимость. Должны появиться практики пременения, выловиться ошибки и.т.п. Быть со своим приложением на "переднем крае" довольно не выгодно.
bumble
@awd-studio
Jan 23 2018 14:48
ха! расскажы это JS'ерам, у которых фреймворк на котором они пишут проект устаревает до завершения (проекта) :)
Boris
@bsyomov
Jan 23 2018 14:48
Дело не в энтерпрайзе, посмотри вокруг: Хостингов с 5.6 - ещё полно, и они не денутся никуда, софта не портированного на 7+ много... И его жизненный цикл и близко не окончен.
bumble
@awd-studio
Jan 23 2018 14:49
на хостингах, на которых не держат 7ку, не размещают проекты которые "сложно" обновить
с вероятностью 90%, готов ванговать полное отсутствие обнов на таких проектах )))
такшо, им хоть 8ку требуй, все равно там Drupal 7.19
(в лучшем случае)
Boris
@bsyomov
Jan 23 2018 14:52
Вообще, многие вполне умеют обновлять ядро и контриб, особенно, если разработчик не нахакал модули я ядро и дал не сложную инструкцию...
Т.е. того, о чём ты говоришь куда меньше 90%.
bumble
@awd-studio
Jan 23 2018 14:53
не забывай, мы про хостинги без обнов до 7+
Boris
@bsyomov
Jan 23 2018 14:53
И большая часть сайтов живут не на виртуалках, а на обычных шаред хостингах.
Вот тут уже про 90% ближе будет.
bumble
@awd-studio
Jan 23 2018 14:53
да, и большая часть из них - держат 7ку
Boris
@bsyomov
Jan 23 2018 14:54
На части из них можно переключиться на 7, так будет более правильно. Кстати, не на такой уж и большой и не всегда это просто сделать.
bumble
@awd-studio
Jan 23 2018 14:55
возможно, субъективно сужу. но по моему опыту картина именно такая
Boris
@bsyomov
Jan 23 2018 14:55
И это никак не коррелирует с тем, как обновляют сам Drupal владельцы сайтов.
bumble
@awd-studio
Jan 23 2018 14:56
опять же, это по моим суждениям - люди выбирающие такие дерьмовые хосты - не особо следят за соблюдением рекомендаций по обновлению
Boris
@bsyomov
Jan 23 2018 14:56
Кстати, те, что сидят на своих виртуалках тоже систему и стек не обновляют зачастую, даже те, кто разработкой занимается. =)
bumble
@awd-studio
Jan 23 2018 14:57
есть такое, да
Boris
@bsyomov
Jan 23 2018 14:57
В том-то и дело, что отсутствие или сложность переключения на php7+ не говорят о дерьмовости хостинга.
bumble
@awd-studio
Jan 23 2018 14:57
блин... ну в чем может быть сложность? )))
Boris
@bsyomov
Jan 23 2018 14:57
Это не более, чем возможность. Как доступ по ssh или наличие возможности править конфиги руками.
bumble
@awd-studio
Jan 23 2018 14:58
чем свитч 5,5 - 5,6 сложнее 5,6 - 7,0?
Boris
@bsyomov
Jan 23 2018 14:58
Тем, что он нужен меньшей аудитории пользователей?
bumble
@awd-studio
Jan 23 2018 14:58
тут нет никаких сложностей. просто хостеру насрать на это :)
Boris
@bsyomov
Jan 23 2018 14:58
Вопрос-то не в сложности, а в необходимости для клиентов.
bumble
@awd-studio
Jan 23 2018 14:59
и от того он не вводит у себя таких средств
Boris
@bsyomov
Jan 23 2018 14:59
ДА, любой бизнес делает то, на чём может получить дополнительную прибыль. И если пока услуга не востребована достаточным количеством клиентов, она не вводится.
bumble
@awd-studio
Jan 23 2018 15:00
ну блин! :satisfied: разве сложно поставить еще 1 версию пыха? разве с этим есть вообще хоть капля возможных неприятностей? даже, если это нужно только 1му клиенту сейчас - это же "бесплатный" маркетинговый ход
Boris
@bsyomov
Jan 23 2018 15:01
А из-за того, что какой-то там Drupal 8 перестаёт поддерживать 5.6, ничего ровным счтом не изменится...
Он не бесплатный.
bumble
@awd-studio
Jan 23 2018 15:02
я хз как где, и уверен что имеют место и такого рода суждения (как ты описал), но я не готов такие "компании" помещать в рамки "хостеров". максимум - владелец серва, выбивающий мелочь из карманов друзей )))
все известные мне шареды, 7ку держат испокон веков со времен ее появления. и никаких трудностей никто не испытывает. а хорошие из них, даже по умолчаниб ставят версию - реально актуальную
и на мой взгляд, это правильное действие с их стороны
Boris
@bsyomov
Jan 23 2018 15:04
И напрасно. Поддержка каджой новой возможности это всегда деньги, причём, обычно не разовые. И если ты занимаешься бизнесом, а не "владелец серва, выбивающий мелочь из карманов друзей", то ты должен уметь считать, насоклько оно окупается,если ввести сейчас, или тогда, когда она будет востребована...
bumble
@awd-studio
Jan 23 2018 15:05
ну опять же. если компания - хостер, мне сложно представить ее без клиентов использующих современное ПО. все энтерпрайзы (поголовно) - на собственных сервах располагаются, и там воротят чего хотят.
опщепитовские хосты - должны быть мультинацеленными, именно из-за разношерстности своей аудитории
(опять же, ИМХО)
Boris
@bsyomov
Jan 23 2018 15:07
Большинство современного PHP ПО прекрасным образом работает на 5.6 том же.
См. выше. =)
bumble
@awd-studio
Jan 23 2018 15:09
хух, ладна... :D ннада отвлечься на работу
в общем - Д8 будет требовать PHP7+
Boris
@bsyomov
Jan 23 2018 15:09
На самом деле, владельцу шаред хостиинга выгоден переход на PHP 7.x даже - но только тогда, когда получается убедить достаточное кол-во клиентов переключиться. =)
Выгоден из-за увеличеиня плотности размещения. =)
bumble
@awd-studio
Jan 23 2018 15:10
++
@bsyomov спс, была очень интересная дискуссия :+1:
KarmaBot
@KarmaBot
Jan 23 2018 15:10
Спасибо (+1) для @bsyomov принято! Текущая карма +4.
Boris
@bsyomov
Jan 23 2018 15:10
Вот только ленивые клиенты не спешат, а просто переключать низя. =)
bumble
@awd-studio
Jan 23 2018 15:10
а я бы всех переключил, мне бы волю :satisfied:
Boris
@bsyomov
Jan 23 2018 15:11
@awd-studio И тебе спасибо! Удачно поработать.